'''
Created on 28 avr. 2021

@author: laborie
'''
from django.utils import timezone
from datetime import timedelta
from MRIOutils import settings
from mri_db_logger.models import ActionsLogs

def delete_old_logs(sender, **kwargs):
    """
    Efface logs plus vieux que DBLOG_DELETE_AFTER_DAYS
    """
    time_threshold = timezone.now() - timedelta(days=settings.DBLOG_DELETE_AFTER_DAYS)
    ActionsLogs.objects.filter(do_at__lt=time_threshold).delete()
